org.eclipse.graphiti.mm.pictograms.impl

## Class PictogramsPackageImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.ecore.impl.EModelElementImpl
          - - org.eclipse.emf.ecore.impl.ENamedElementImpl
            - - org.eclipse.emf.ecore.impl.EPackageImpl
              - - org.eclipse.graphiti.mm.pictograms.impl.PictogramsPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, PictogramsPackage

    public class PictogramsPackageImpl
    extends org.eclipse.emf.ecore.impl.EPackageImpl
    implements PictogramsPackage

An implementation of the model Package.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramsPackage

`PictogramsPackage.Literals`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

### Fields inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramsPackage

`ADVANCED_ANCHOR, ADVANCED_ANCHOR__ACTIVE, ADVANCED_ANCHOR__GRAPHICS_ALGORITHM, ADVANCED_ANCHOR__INCOMING_CONNECTIONS, ADVANCED_ANCHOR__LINK, ADVANCED_ANCHOR__OUTGOING_CONNECTIONS, ADVANCED_ANCHOR__PARENT, ADVANCED_ANCHOR__PROPERTIES, ADVANCED_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM, ADVANCED_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT, ADVANCED_ANCHOR__VISIBLE, ADVANCED_ANCHOR_FEATURE_COUNT, ANCHOR, ANCHOR__ACTIVE, ANCHOR__GRAPHICS_ALGORITHM, ANCHOR__INCOMING_CONNECTIONS, ANCHOR__LINK, ANCHOR__OUTGOING_CONNECTIONS, ANCHOR__PARENT, ANCHOR__PROPERTIES, ANCHOR__REFERENCED_GRAPHICS_ALGORITHM, ANCHOR__VISIBLE, ANCHOR_CONTAINER, ANCHOR_CONTAINER__ACTIVE, ANCHOR_CONTAINER__ANCHORS, ANCHOR_CONTAINER__GRAPHICS_ALGORITHM, ANCHOR_CONTAINER__LINK, ANCHOR_CONTAINER__PROPERTIES, ANCHOR_CONTAINER__VISIBLE, ANCHOR_CONTAINER_FEATURE_COUNT, ANCHOR_FEATURE_COUNT, BOX_RELATIVE_ANCHOR, BOX_RELATIVE_ANCHOR__ACTIVE, BOX_RELATIVE_ANCHOR__GRAPHICS_ALGORITHM, BOX_RELATIVE_ANCHOR__INCOMING_CONNECTIONS, BOX_RELATIVE_ANCHOR__LINK, BOX_RELATIVE_ANCHOR__OUTGOING_CONNECTIONS, BOX_RELATIVE_ANCHOR__PARENT, BOX_RELATIVE_ANCHOR__PROPERTIES, BOX_RELATIVE_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM, BOX_RELATIVE_ANCHOR__RELATIVE_HEIGHT, BOX_RELATIVE_ANCHOR__RELATIVE_WIDTH, BOX_RELATIVE_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT, BOX_RELATIVE_ANCHOR__VISIBLE, BOX_RELATIVE_ANCHOR_FEATURE_COUNT, CHOPBOX_ANCHOR, CHOPBOX_ANCHOR__ACTIVE, CHOPBOX_ANCHOR__GRAPHICS_ALGORITHM, CHOPBOX_ANCHOR__INCOMING_CONNECTIONS, CHOPBOX_ANCHOR__LINK, CHOPBOX_ANCHOR__OUTGOING_CONNECTIONS, CHOPBOX_ANCHOR__PARENT, CHOPBOX_ANCHOR__PROPERTIES, CHOPBOX_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM, CHOPBOX_ANCHOR__VISIBLE, CHOPBOX_ANCHOR_FEATURE_COUNT, COMPOSITE_CONNECTION, COMPOSITE_CONNECTION__ACTIVE, COMPOSITE_CONNECTION__ANCHORS, COMPOSITE_CONNECTION__CHILDREN, COMPOSITE_CONNECTION__CONNECTION_DECORATORS, COMPOSITE_CONNECTION__END, COMPOSITE_CONNECTION__GRAPHICS_ALGORITHM, COMPOSITE_CONNECTION__LINK, COMPOSITE_CONNECTION__PARENT, COMPOSITE_CONNECTION__PROPERTIES, COMPOSITE_CONNECTION__START, COMPOSITE_CONNECTION__VISIBLE, COMPOSITE_CONNECTION_FEATURE_COUNT, CONNECTION, CONNECTION__ACTIVE, CONNECTION__ANCHORS, CONNECTION__CONNECTION_DECORATORS, CONNECTION__END, CONNECTION__GRAPHICS_ALGORITHM, CONNECTION__LINK, CONNECTION__PARENT, CONNECTION__PROPERTIES, CONNECTION__START, CONNECTION__VISIBLE, CONNECTION_DECORATOR, CONNECTION_DECORATOR__ACTIVE, CONNECTION_DECORATOR__ANCHORS, CONNECTION_DECORATOR__CONNECTION, CONNECTION_DECORATOR__CONTAINER, CONNECTION_DECORATOR__GRAPHICS_ALGORITHM, CONNECTION_DECORATOR__LINK, CONNECTION_DECORATOR__LOCATION, CONNECTION_DECORATOR__LOCATION_RELATIVE, CONNECTION_DECORATOR__PROPERTIES, CONNECTION_DECORATOR__VISIBLE, CONNECTION_DECORATOR_FEATURE_COUNT, CONNECTION_FEATURE_COUNT, CONTAINER_SHAPE, CONTAINER_SHAPE__ACTIVE, CONTAINER_SHAPE__ANCHORS, CONTAINER_SHAPE__CHILDREN, CONTAINER_SHAPE__CONTAINER, CONTAINER_SHAPE__GRAPHICS_ALGORITHM, CONTAINER_SHAPE__LINK, CONTAINER_SHAPE__PROPERTIES, CONTAINER_SHAPE__VISIBLE, CONTAINER_SHAPE_FEATURE_COUNT, CURVED_CONNECTION, CURVED_CONNECTION__ACTIVE, CURVED_CONNECTION__ANCHORS, CURVED_CONNECTION__CONNECTION_DECORATORS, CURVED_CONNECTION__CONTROL_POINTS, CURVED_CONNECTION__END, CURVED_CONNECTION__GRAPHICS_ALGORITHM, CURVED_CONNECTION__LINK, CURVED_CONNECTION__PARENT, CURVED_CONNECTION__PROPERTIES, CURVED_CONNECTION__START, CURVED_CONNECTION__VISIBLE, CURVED_CONNECTION_FEATURE_COUNT, DIAGRAM, DIAGRAM__ACTIVE, DIAGRAM__ANCHORS, DIAGRAM__CHILDREN, DIAGRAM__COLORS, DIAGRAM__CONNECTIONS, DIAGRAM__CONTAINER, DIAGRAM__DIAGRAM_TYPE_ID, DIAGRAM__FONTS, DIAGRAM__GRAPHICS_ALGORITHM, DIAGRAM__GRID_UNIT, DIAGRAM__LINK, DIAGRAM__NAME, DIAGRAM__PICTOGRAM_LINKS, DIAGRAM__PROPERTIES, DIAGRAM__SHOW_GUIDES, DIAGRAM__SNAP_TO_GRID, DIAGRAM__STYLES, DIAGRAM__VERSION, DIAGRAM__VERTICAL_GRID_UNIT, DIAGRAM__VISIBLE, DIAGRAM_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, FIX_POINT_ANCHOR, FIX_POINT_ANCHOR__ACTIVE, FIX_POINT_ANCHOR__GRAPHICS_ALGORITHM, FIX_POINT_ANCHOR__INCOMING_CONNECTIONS, FIX_POINT_ANCHOR__LINK, FIX_POINT_ANCHOR__LOCATION, FIX_POINT_ANCHOR__OUTGOING_CONNECTIONS, FIX_POINT_ANCHOR__PARENT, FIX_POINT_ANCHOR__PROPERTIES, FIX_POINT_ANCHOR__REFERENCED_GRAPHICS_ALGORITHM, FIX_POINT_ANCHOR__USE_ANCHOR_LOCATION_AS_CONNECTION_ENDPOINT, FIX_POINT_ANCHOR__VISIBLE, FIX_POINT_ANCHOR_FEATURE_COUNT, FREE_FORM_CONNECTION, FREE_FORM_CONNECTION__ACTIVE, FREE_FORM_CONNECTION__ANCHORS, FREE_FORM_CONNECTION__BENDPOINTS, FREE_FORM_CONNECTION__CONNECTION_DECORATORS, FREE_FORM_CONNECTION__END, FREE_FORM_CONNECTION__GRAPHICS_ALGORITHM, FREE_FORM_CONNECTION__LINK, FREE_FORM_CONNECTION__PARENT, FREE_FORM_CONNECTION__PROPERTIES, FREE_FORM_CONNECTION__START, FREE_FORM_CONNECTION__VISIBLE, FREE_FORM_CONNECTION_FEATURE_COUNT, MANHATTAN_CONNECTION, MANHATTAN_CONNECTION__ACTIVE, MANHATTAN_CONNECTION__ANCHORS, MANHATTAN_CONNECTION__CONNECTION_DECORATORS, MANHATTAN_CONNECTION__END, MANHATTAN_CONNECTION__GRAPHICS_ALGORITHM, MANHATTAN_CONNECTION__LINK, MANHATTAN_CONNECTION__PARENT, MANHATTAN_CONNECTION__PROPERTIES, MANHATTAN_CONNECTION__START, MANHATTAN_CONNECTION__VISIBLE, MANHATTAN_CONNECTION_FEATURE_COUNT, PICTOGRAM_ELEMENT, PICTOGRAM_ELEMENT__ACTIVE, PICTOGRAM_ELEMENT__GRAPHICS_ALGORITHM, PICTOGRAM_ELEMENT__LINK, PICTOGRAM_ELEMENT__PROPERTIES, PICTOGRAM_ELEMENT__VISIBLE, PICTOGRAM_ELEMENT_FEATURE_COUNT, PICTOGRAM_LINK, PICTOGRAM_LINK__BUSINESS_OBJECTS, PICTOGRAM_LINK__PICTOGRAM_ELEMENT, PICTOGRAM_LINK__PROPERTIES, PICTOGRAM_LINK_FEATURE_COUNT, SHAPE, SHAPE__ACTIVE, SHAPE__ANCHORS, SHAPE__CONTAINER, SHAPE__GRAPHICS_ALGORITHM, SHAPE__LINK, SHAPE__PROPERTIES, SHAPE__VISIBLE, SHAPE_FEATURE_COUNT`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EAttribute` `getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint()`
`org.eclipse.emf.ecore.EClass` `getAdvancedAnchor()`
`org.eclipse.emf.ecore.EReference` `getAnchor_IncomingConnections()`
`org.eclipse.emf.ecore.EReference` `getAnchor_OutgoingConnections()`
`org.eclipse.emf.ecore.EReference` `getAnchor_Parent()`
`org.eclipse.emf.ecore.EReference` `getAnchor_ReferencedGraphicsAlgorithm()`
`org.eclipse.emf.ecore.EClass` `getAnchor()`
`org.eclipse.emf.ecore.EReference` `getAnchorContainer_Anchors()`
`org.eclipse.emf.ecore.EClass` `getAnchorContainer()`
`org.eclipse.emf.ecore.EAttribute` `getBoxRelativeAnchor_RelativeHeight()`
`org.eclipse.emf.ecore.EAttribute` `getBoxRelativeAnchor_RelativeWidth()`
`org.eclipse.emf.ecore.EClass` `getBoxRelativeAnchor()`
`org.eclipse.emf.ecore.EClass` `getChopboxAnchor()`
`org.eclipse.emf.ecore.EReference` `getCompositeConnection_Children()`
`org.eclipse.emf.ecore.EClass` `getCompositeConnection()`
`org.eclipse.emf.ecore.EReference` `getConnection_ConnectionDecorators()`
`org.eclipse.emf.ecore.EReference` `getConnection_End()`
`org.eclipse.emf.ecore.EReference` `getConnection_Parent()`
`org.eclipse.emf.ecore.EReference` `getConnection_Start()`
`org.eclipse.emf.ecore.EClass` `getConnection()`
`org.eclipse.emf.ecore.EReference` `getConnectionDecorator_Connection()`
`org.eclipse.emf.ecore.EAttribute` `getConnectionDecorator_Location()`
`org.eclipse.emf.ecore.EAttribute` `getConnectionDecorator_LocationRelative()`
`org.eclipse.emf.ecore.EClass` `getConnectionDecorator()`
`org.eclipse.emf.ecore.EReference` `getContainerShape_Children()`
`org.eclipse.emf.ecore.EClass` `getContainerShape()`
`org.eclipse.emf.ecore.EReference` `getCurvedConnection_ControlPoints()`
`org.eclipse.emf.ecore.EClass` `getCurvedConnection()`
`org.eclipse.emf.ecore.EReference` `getDiagram_Colors()`
`org.eclipse.emf.ecore.EReference` `getDiagram_Connections()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_DiagramTypeId()`
`org.eclipse.emf.ecore.EReference` `getDiagram_Fonts()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_GridUnit()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Name()`
`org.eclipse.emf.ecore.EReference` `getDiagram_PictogramLinks()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_ShowGuides()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_SnapToGrid()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_Version()`
`org.eclipse.emf.ecore.EAttribute` `getDiagram_VerticalGridUnit()`
`org.eclipse.emf.ecore.EClass` `getDiagram()`
`org.eclipse.emf.ecore.EReference` `getFixPointAnchor_Location()`
`org.eclipse.emf.ecore.EClass` `getFixPointAnchor()`
`org.eclipse.emf.ecore.EReference` `getFreeFormConnection_Bendpoints()`
`org.eclipse.emf.ecore.EClass` `getFreeFormConnection()`
`org.eclipse.emf.ecore.EClass` `getManhattanConnection()`
`org.eclipse.emf.ecore.EAttribute` `getPictogramElement_Active()`
`org.eclipse.emf.ecore.EReference` `getPictogramElement_GraphicsAlgorithm()`
`org.eclipse.emf.ecore.EReference` `getPictogramElement_Link()`
`org.eclipse.emf.ecore.EAttribute` `getPictogramElement_Visible()`
`org.eclipse.emf.ecore.EClass` `getPictogramElement()`
`org.eclipse.emf.ecore.EReference` `getPictogramLink_BusinessObjects()`
`org.eclipse.emf.ecore.EReference` `getPictogramLink_PictogramElement()`
`org.eclipse.emf.ecore.EClass` `getPictogramLink()`
`PictogramsFactory` `getPictogramsFactory()`
`org.eclipse.emf.ecore.EReference` `getShape_Container()`
`org.eclipse.emf.ecore.EClass` `getShape()`
`static PictogramsPackage` `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` `initializePackageContents()` Complete the initialization of the package and its meta-model.

### Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl

`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setName, setNamespaceURI, setNsPrefix, setNsURI, toString`

### Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl

`eContents, eCrossReferences, getName, getNameGen`

### Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl

`eObjectForURIFragmentSegment, eURIFragmentSegment, getEAnnotation, getEAnnotations`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eClass, eContainerFeatureID, eDeliver, eDirectResource, eIsProxy, eProxyURI, eSetClass, eSetDeliver`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvoke, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EPackage

`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

`getName, setName`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Method Detail

#### init

    public static PictogramsPackage init()

Creates, registers, and initializes the Package for this model, and for any others upon which it depends.

This method is used to initialize `PictogramsPackage.eINSTANCE` when that field is accessed. Clients should not invoke it directly. Instead, they should simply access that field to obtain the package.

See Also:
  `PictogramsPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

#### getShape

    public org.eclipse.emf.ecore.EClass getShape()

Specified by:
  `getShape` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Shape'.
See Also:
  `Shape`

#### getShape_Container

    public org.eclipse.emf.ecore.EReference getShape_Container()

Specified by:
  `getShape_Container` in interface `PictogramsPackage`
Returns:
  the meta object for the container reference 'Container'.
See Also:
  `Shape.getContainer()`, `PictogramsPackage.getShape()`

#### getContainerShape

    public org.eclipse.emf.ecore.EClass getContainerShape()

Specified by:
  `getContainerShape` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Container Shape'.
See Also:
  `ContainerShape`

#### getContainerShape_Children

    public org.eclipse.emf.ecore.EReference getContainerShape_Children()

Specified by:
  `getContainerShape_Children` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Children'.
See Also:
  `ContainerShape.getChildren()`, `PictogramsPackage.getContainerShape()`

#### getDiagram

    public org.eclipse.emf.ecore.EClass getDiagram()

Specified by:
  `getDiagram` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Diagram'.
See Also:
  `Diagram`

#### getDiagram_GridUnit

    public org.eclipse.emf.ecore.EAttribute getDiagram_GridUnit()

Specified by:
  `getDiagram_GridUnit` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Grid Unit'.
See Also:
  `Diagram.getGridUnit()`, `PictogramsPackage.getDiagram()`

#### getDiagram_DiagramTypeId

    public org.eclipse.emf.ecore.EAttribute getDiagram_DiagramTypeId()

Specified by:
  `getDiagram_DiagramTypeId` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Diagram Type Id'.
See Also:
  `Diagram.getDiagramTypeId()`, `PictogramsPackage.getDiagram()`

#### getDiagram_Connections

    public org.eclipse.emf.ecore.EReference getDiagram_Connections()

Specified by:
  `getDiagram_Connections` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Connections'.
See Also:
  `Diagram.getConnections()`, `PictogramsPackage.getDiagram()`

#### getDiagram_Name

    public org.eclipse.emf.ecore.EAttribute getDiagram_Name()

Specified by:
  `getDiagram_Name` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Name'.
See Also:
  `Diagram.getName()`, `PictogramsPackage.getDiagram()`

#### getDiagram_SnapToGrid

    public org.eclipse.emf.ecore.EAttribute getDiagram_SnapToGrid()

Specified by:
  `getDiagram_SnapToGrid` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Snap To Grid'.
See Also:
  `Diagram.isSnapToGrid()`, `PictogramsPackage.getDiagram()`

#### getDiagram_ShowGuides

    public org.eclipse.emf.ecore.EAttribute getDiagram_ShowGuides()

Specified by:
  `getDiagram_ShowGuides` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Show Guides'.
See Also:
  `Diagram`, `PictogramsPackage.getDiagram()`

#### getDiagram_Colors

    public org.eclipse.emf.ecore.EReference getDiagram_Colors()

Specified by:
  `getDiagram_Colors` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Colors'.
See Also:
  `Diagram.getColors()`, `PictogramsPackage.getDiagram()`

#### getDiagram_Fonts

    public org.eclipse.emf.ecore.EReference getDiagram_Fonts()

Specified by:
  `getDiagram_Fonts` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Fonts'.
See Also:
  `Diagram.getFonts()`, `PictogramsPackage.getDiagram()`

#### getDiagram_PictogramLinks

    public org.eclipse.emf.ecore.EReference getDiagram_PictogramLinks()

Specified by:
  `getDiagram_PictogramLinks` in interface `PictogramsPackage`
Returns:
  the meta object for the reference list 'Pictogram Links'.
See Also:
  `Diagram.getPictogramLinks()`, `PictogramsPackage.getDiagram()`

#### getDiagram_VerticalGridUnit

    public org.eclipse.emf.ecore.EAttribute getDiagram_VerticalGridUnit()

Specified by:
  `getDiagram_VerticalGridUnit` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Vertical Grid Unit'.
See Also:
  `Diagram.getVerticalGridUnit()`, `PictogramsPackage.getDiagram()`

#### getDiagram_Version

    public org.eclipse.emf.ecore.EAttribute getDiagram_Version()

Specified by:
  `getDiagram_Version` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Version'.
See Also:
  `Diagram.getVersion()`, `PictogramsPackage.getDiagram()`

#### getPictogramElement

    public org.eclipse.emf.ecore.EClass getPictogramElement()

Specified by:
  `getPictogramElement` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Pictogram Element'.
See Also:
  `PictogramElement`

#### getPictogramElement_Visible

    public org.eclipse.emf.ecore.EAttribute getPictogramElement_Visible()

Specified by:
  `getPictogramElement_Visible` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Visible'.
See Also:
  `PictogramElement.isVisible()`, `PictogramsPackage.getPictogramElement()`

#### getPictogramElement_GraphicsAlgorithm

    public org.eclipse.emf.ecore.EReference getPictogramElement_GraphicsAlgorithm()

Specified by:
  `getPictogramElement_GraphicsAlgorithm` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference 'Graphics Algorithm'.
See Also:
  `PictogramElement.getGraphicsAlgorithm()`, `PictogramsPackage.getPictogramElement()`

#### getPictogramElement_Active

    public org.eclipse.emf.ecore.EAttribute getPictogramElement_Active()

Specified by:
  `getPictogramElement_Active` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Active'.
See Also:
  `PictogramElement.isActive()`, `PictogramsPackage.getPictogramElement()`

#### getPictogramElement_Link

    public org.eclipse.emf.ecore.EReference getPictogramElement_Link()

Specified by:
  `getPictogramElement_Link` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference 'Link'.
See Also:
  `PictogramElement.getLink()`, `PictogramsPackage.getPictogramElement()`

#### getConnection

    public org.eclipse.emf.ecore.EClass getConnection()

Specified by:
  `getConnection` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Connection'.
See Also:
  `Connection`

#### getConnection_Start

    public org.eclipse.emf.ecore.EReference getConnection_Start()

Specified by:
  `getConnection_Start` in interface `PictogramsPackage`
Returns:
  the meta object for the reference 'Start'.
See Also:
  `Connection.getStart()`, `PictogramsPackage.getConnection()`

#### getConnection_End

    public org.eclipse.emf.ecore.EReference getConnection_End()

Specified by:
  `getConnection_End` in interface `PictogramsPackage`
Returns:
  the meta object for the reference 'End'.
See Also:
  `Connection.getEnd()`, `PictogramsPackage.getConnection()`

#### getConnection_Parent

    public org.eclipse.emf.ecore.EReference getConnection_Parent()

Specified by:
  `getConnection_Parent` in interface `PictogramsPackage`
Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `Connection.getParent()`, `PictogramsPackage.getConnection()`

#### getConnection_ConnectionDecorators

    public org.eclipse.emf.ecore.EReference getConnection_ConnectionDecorators()

Specified by:
  `getConnection_ConnectionDecorators` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Connection Decorators'.
See Also:
  `Connection.getConnectionDecorators()`, `PictogramsPackage.getConnection()`

#### getAnchor

    public org.eclipse.emf.ecore.EClass getAnchor()

Specified by:
  `getAnchor` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Anchor'.
See Also:
  `Anchor`

#### getAnchor_Parent

    public org.eclipse.emf.ecore.EReference getAnchor_Parent()

Specified by:
  `getAnchor_Parent` in interface `PictogramsPackage`
Returns:
  the meta object for the container reference 'Parent'.
See Also:
  `Anchor.getParent()`, `PictogramsPackage.getAnchor()`

#### getAnchor_OutgoingConnections

    public org.eclipse.emf.ecore.EReference getAnchor_OutgoingConnections()

Specified by:
  `getAnchor_OutgoingConnections` in interface `PictogramsPackage`
Returns:
  the meta object for the reference list 'Outgoing Connections'.
See Also:
  `Anchor.getOutgoingConnections()`, `PictogramsPackage.getAnchor()`

#### getAnchor_IncomingConnections

    public org.eclipse.emf.ecore.EReference getAnchor_IncomingConnections()

Specified by:
  `getAnchor_IncomingConnections` in interface `PictogramsPackage`
Returns:
  the meta object for the reference list 'Incoming Connections'.
See Also:
  `Anchor.getIncomingConnections()`, `PictogramsPackage.getAnchor()`

#### getAnchor_ReferencedGraphicsAlgorithm

    public org.eclipse.emf.ecore.EReference getAnchor_ReferencedGraphicsAlgorithm()

Specified by:
  `getAnchor_ReferencedGraphicsAlgorithm` in interface `PictogramsPackage`
Returns:
  the meta object for the reference 'Referenced Graphics Algorithm'.
See Also:
  `Anchor.getReferencedGraphicsAlgorithm()`, `PictogramsPackage.getAnchor()`

#### getAnchorContainer

    public org.eclipse.emf.ecore.EClass getAnchorContainer()

Specified by:
  `getAnchorContainer` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Anchor Container'.
See Also:
  `AnchorContainer`

#### getAnchorContainer_Anchors

    public org.eclipse.emf.ecore.EReference getAnchorContainer_Anchors()

Specified by:
  `getAnchorContainer_Anchors` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Anchors'.
See Also:
  `AnchorContainer.getAnchors()`, `PictogramsPackage.getAnchorContainer()`

#### getFixPointAnchor

    public org.eclipse.emf.ecore.EClass getFixPointAnchor()

Specified by:
  `getFixPointAnchor` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Fix Point Anchor'.
See Also:
  `FixPointAnchor`

#### getFixPointAnchor_Location

    public org.eclipse.emf.ecore.EReference getFixPointAnchor_Location()

Specified by:
  `getFixPointAnchor_Location` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference 'Location'.
See Also:
  `FixPointAnchor.getLocation()`, `PictogramsPackage.getFixPointAnchor()`

#### getBoxRelativeAnchor

    public org.eclipse.emf.ecore.EClass getBoxRelativeAnchor()

Specified by:
  `getBoxRelativeAnchor` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Box Relative Anchor'.
See Also:
  `BoxRelativeAnchor`

#### getBoxRelativeAnchor_RelativeWidth

    public org.eclipse.emf.ecore.EAttribute getBoxRelativeAnchor_RelativeWidth()

Specified by:
  `getBoxRelativeAnchor_RelativeWidth` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Relative Width'.
See Also:
  `BoxRelativeAnchor.getRelativeWidth()`, `PictogramsPackage.getBoxRelativeAnchor()`

#### getBoxRelativeAnchor_RelativeHeight

    public org.eclipse.emf.ecore.EAttribute getBoxRelativeAnchor_RelativeHeight()

Specified by:
  `getBoxRelativeAnchor_RelativeHeight` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Relative Height'.
See Also:
  `BoxRelativeAnchor.getRelativeHeight()`, `PictogramsPackage.getBoxRelativeAnchor()`

#### getChopboxAnchor

    public org.eclipse.emf.ecore.EClass getChopboxAnchor()

Specified by:
  `getChopboxAnchor` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Chopbox Anchor'.
See Also:
  `ChopboxAnchor`

#### getConnectionDecorator

    public org.eclipse.emf.ecore.EClass getConnectionDecorator()

Specified by:
  `getConnectionDecorator` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Connection Decorator'.
See Also:
  `ConnectionDecorator`

#### getConnectionDecorator_LocationRelative

    public org.eclipse.emf.ecore.EAttribute getConnectionDecorator_LocationRelative()

Specified by:
  `getConnectionDecorator_LocationRelative` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Location Relative'.
See Also:
  `ConnectionDecorator.isLocationRelative()`, `PictogramsPackage.getConnectionDecorator()`

#### getConnectionDecorator_Location

    public org.eclipse.emf.ecore.EAttribute getConnectionDecorator_Location()

Specified by:
  `getConnectionDecorator_Location` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute 'Location'.
See Also:
  `ConnectionDecorator.getLocation()`, `PictogramsPackage.getConnectionDecorator()`

#### getConnectionDecorator_Connection

    public org.eclipse.emf.ecore.EReference getConnectionDecorator_Connection()

Specified by:
  `getConnectionDecorator_Connection` in interface `PictogramsPackage`
Returns:
  the meta object for the container reference 'Connection'.
See Also:
  `ConnectionDecorator.getConnection()`, `PictogramsPackage.getConnectionDecorator()`

#### getFreeFormConnection

    public org.eclipse.emf.ecore.EClass getFreeFormConnection()

Specified by:
  `getFreeFormConnection` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Free Form Connection'.
See Also:
  `FreeFormConnection`

#### getFreeFormConnection_Bendpoints

    public org.eclipse.emf.ecore.EReference getFreeFormConnection_Bendpoints()

Specified by:
  `getFreeFormConnection_Bendpoints` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Bendpoints'.
See Also:
  `FreeFormConnection.getBendpoints()`, `PictogramsPackage.getFreeFormConnection()`

#### getManhattanConnection

    public org.eclipse.emf.ecore.EClass getManhattanConnection()

Specified by:
  `getManhattanConnection` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Manhattan Connection'.
See Also:
  `ManhattanConnection`

#### getPictogramLink

    public org.eclipse.emf.ecore.EClass getPictogramLink()

Specified by:
  `getPictogramLink` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Pictogram Link'.
See Also:
  `PictogramLink`

#### getPictogramLink_PictogramElement

    public org.eclipse.emf.ecore.EReference getPictogramLink_PictogramElement()

Specified by:
  `getPictogramLink_PictogramElement` in interface `PictogramsPackage`
Returns:
  the meta object for the container reference 'Pictogram Element'.
See Also:
  `PictogramLink.getPictogramElement()`, `PictogramsPackage.getPictogramLink()`

#### getPictogramLink_BusinessObjects

    public org.eclipse.emf.ecore.EReference getPictogramLink_BusinessObjects()

Specified by:
  `getPictogramLink_BusinessObjects` in interface `PictogramsPackage`
Returns:
  the meta object for the reference list 'Business Objects'.
See Also:
  `PictogramLink.getBusinessObjects()`, `PictogramsPackage.getPictogramLink()`

#### getAdvancedAnchor

    public org.eclipse.emf.ecore.EClass getAdvancedAnchor()

Specified by:
  `getAdvancedAnchor` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Advanced Anchor'.
See Also:
  `AdvancedAnchor`

#### getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint

    public org.eclipse.emf.ecore.EAttribute getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint()

Specified by:
  `getAdvancedAnchor_UseAnchorLocationAsConnectionEndpoint` in interface `PictogramsPackage`
Returns:
  the meta object for the attribute ' Use Anchor Location As Connection Endpoint'.
See Also:
  `AdvancedAnchor.isUseAnchorLocationAsConnectionEndpoint()`, `PictogramsPackage.getAdvancedAnchor()`

#### getCurvedConnection

    public org.eclipse.emf.ecore.EClass getCurvedConnection()

Specified by:
  `getCurvedConnection` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Curved Connection'.
See Also:
  `CurvedConnection`

#### getCurvedConnection_ControlPoints

    public org.eclipse.emf.ecore.EReference getCurvedConnection_ControlPoints()

Specified by:
  `getCurvedConnection_ControlPoints` in interface `PictogramsPackage`
Returns:
  the meta object for the containment reference list 'Control Points'.
See Also:
  `CurvedConnection.getControlPoints()`, `PictogramsPackage.getCurvedConnection()`

#### getCompositeConnection

    public org.eclipse.emf.ecore.EClass getCompositeConnection()

Specified by:
  `getCompositeConnection` in interface `PictogramsPackage`
Returns:
  the meta object for class 'Composite Connection'.
See Also:
  `CompositeConnection`

#### getCompositeConnection_Children

    public org.eclipse.emf.ecore.EReference getCompositeConnection_Children()

Specified by:
  `getCompositeConnection_Children` in interface `PictogramsPackage`
Returns:
  the meta object for the reference list 'Children'.
See Also:
  `CompositeConnection.getChildren()`, `PictogramsPackage.getCompositeConnection()`

#### getPictogramsFactory

    public PictogramsFactory getPictogramsFactory()

Specified by:
  `getPictogramsFactory` in interface `PictogramsPackage`
Returns:
  the factory that creates the instances of the model.

#### createPackageContents

    public void createPackageContents()

Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

#### initializePackageContents

    public void initializePackageContents()

Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.